using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Linq.Expressions;
using System.Collections.ObjectModel;
using System.Diagnostics;
using Infragistics.Windows.Editors;

namespace WpfApplication1
{
    public class Sample : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged = delegate { };

        private string _name;
        public string Name
        {
            get
            {
                return _name;
            }
            set
            {
                if (value != _name)
                {
                    _name = value;
                    PropertyChanged(this, new PropertyChangedEventArgs("Name"));
                }
            }
        }
        private bool _remove;
        public bool Remove
        {
            get
            {
                return _remove;
            }
            set
            {
                if (value != _remove)
                {
                    _remove = value;
                    PropertyChanged(this, new PropertyChangedEventArgs("Remove"));
                    Debug.WriteLine(" >>>> Updated Remove set to " + value.ToString());
                }
            }
        }
        private bool _sure;
        public bool Sure
        {
            get
            {
                return _sure;
            }
            set
            {
                if (value != _sure)
                    if (_sure && !value)
                        _sure = value;
                    else if (value && MessageBoxResult.Yes == MessageBox.Show("Click Yes if you are sure and No to cancel", "Are you sure?", MessageBoxButton.YesNo))
                    {
                        _sure = value;
                        PropertyChanged(this, new PropertyChangedEventArgs("Sure"));
                        Debug.WriteLine(" !!!! Updated Sure set to " + value.ToString());
                    }
            }
        }			
    }
}
